ISO8601DateFormat
Date: 2016-12-04

com.fasterxml.jackson.databind.util

## Class ISO8601DateFormat

- java.lang.Object
- - java.text.Format
  - - java.text.DateFormat
    - - com.fasterxml.jackson.databind.util.ISO8601DateFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class ISO8601DateFormat
      extends java.text.DateFormat

  Provide a fast thread-safe formatter/parser DateFormat for ISO8601 dates ONLY. It was mainly done to be used with Jackson JSON Processor.

  Watch out for clone implementation that returns itself.

  All other methods but parse and format and clone are undefined behavior.

  See Also:
    `ISO8601Utils`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.DateFormat

      `java.text.DateFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class java.text.DateFormat

      `AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISO8601DateFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.StringBuffer` | `format(java.util.Date date, java.lang.StringBuffer toAppendTo, java.text.FieldPosition fieldPosition)`
    `java.util.Date` | `parse(java.lang.String source)`
    `java.util.Date` | `parse(java.lang.String source, java.text.ParsePosition pos)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.text.DateFormat

      `equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

    - ### Methods inherited from class java.text.Format

      `format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ISO8601DateFormat

          public ISO8601DateFormat()

  - ### Method Detail

    - #### format

          public java.lang.StringBuffer format(java.util.Date date,
                                      java.lang.StringBuffer toAppendTo,
                                      java.text.FieldPosition fieldPosition)

      Specified by:
        `format` in class `java.text.DateFormat`

    - #### parse

          public java.util.Date parse(java.lang.String source,
                             java.text.ParsePosition pos)

      Specified by:
        `parse` in class `java.text.DateFormat`

    - #### parse

          public java.util.Date parse(java.lang.String source)
                               throws java.text.ParseException

      Overrides:
        `parse` in class `java.text.DateFormat`
      Throws:
        `java.text.ParseException`

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.text.DateFormat`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`